ArchLabs Linux

Buscando conflictos entre paquetes... error: no se pudo preparar la operación (no se pudieron satisfacer las dependencias) :: instalando perl (5.30.0-2) se rompe la dependencia con «perl<5.29», necesaria para el paquete perl-gtk2-unique

hola buenas e actualizado archlabs con pacman, despues de una semana intento actualizar de nuevo el sistema operativo pero me arroja este error, ya intente instalando perl-gtk2-unique pero no pasa nada, nesesito ayuda.

hello good and updated archlabs with pacman, after a week I try to update the operating system again but I get this error, try installing perl-gtk2-unique but nothing happens, I need help.

buscando conflictos entre paquetes…
error: no se pudo preparar la operación (no se pudieron satisfacer las dependencias)
:: instalando perl (5.30.0-2) se rompe la dependencia con «perl<5.29», necesaria para el paquete perl-gtk2-unique

Please post in the language of the forum, which is English.
post output of:
pacman -Qi perl

Occupied Google Translate

I sell this
Nombre : perl
Versión : 5.28.2-1
Descripción : A highly capable, feature-rich programming language
Arquitectura : x86_64
URL : http://www.perl.org
Licencias : GPL PerlArtistic
Grupos : base

The forum has an Other Lanuguage (than English) thread for these situations.

try installing perl-gtk2-unique but nothing happens,

perl-gtk2-unique is in the AUR.

Did you try and install it with baph?

yes but nothing happens

yes but nothing happens @PackRat

Ops Sorry.

No problem.
Feel free to help @blancos386 in his native language if you speak it.

@PackRat @ector
no problem, I do not know what can cause the problem

Have you tried to upgrade recently? If I’m reading this correctly, perl will not upgrade to 5.30 because that will break some other perl dependencies - namely, perl-gtk2-unique.

Happened all the time when I was using Debian Sid, just had to wait a bit for the rest of perl files to get updates pushed to the repos.

please posted complete command
pacman -Qi perl

 
[don@don-pc ~]$pacman -Qi perl
[sudo] password di don: 
Nome                      : perl
Versione                  : 5.30.0-2
Descrizione               : A highly capable, feature-rich programming language
Architettura              : x86_64
URL                       : https://www.perl.org
Licenze                   : GPL  PerlArtistic
Gruppi                    : base
Fornisce                  : perl-archive-tar=2.32  perl-attribute-handlers=1.01
                            perl-autodie=2.29  perl-autoloader=5.74
                            perl-autouse=1.11  perl-base=2.27  perl-bignum=0.51
                            perl-carp=1.50  perl-compress-raw-bzip2=2.084
                            perl-compress-raw-zlib=2.084
                            perl-config-perl-v=0.32  perl-constant=1.33
                            perl-cpan-meta-requirements=2.140
                            perl-cpan-meta-yaml=0.018  perl-cpan-meta=2.150010
                            perl-cpan=2.22  perl-data-dumper=2.174
                            perl-db_file=1.843  perl-devel-ppport=3.52
                            perl-devel-selfstubber=1.06  perl-digest-md5=2.55
                            perl-digest-sha=6.02  perl-digest=1.17_01
                            perl-dumpvalue=1.18  perl-encode=3.01
                            perl-encoding-warnings=0.13  perl-env=1.04
                            perl-experimental=0.020  perl-exporter=5.73
                            perl-extutils-cbuilder=0.280231
                            perl-extutils-constant=0.25
                            perl-extutils-install=2.14
                            perl-extutils-makemaker=7.34
                            perl-extutils-manifest=1.72
                            perl-extutils-parsexs=3.40  perl-file-fetch=0.56
                            perl-file-path=2.16  perl-file-temp=0.2309
                            perl-filter-simple=0.95  perl-filter-util-call=1.59
                            perl-getopt-long=2.5  perl-http-tiny=0.076
                            perl-i18n-collate=1.02  perl-i18n-langtags=0.43
                            perl-if=0.0608  perl-io-compress=2.084
                            perl-io-socket-ip=0.39  perl-io-zlib=1.10
                            perl-io=1.40  perl-ipc-cmd=1.02  perl-ipc-sysv=2.07
                            perl-json-pp=4.02  perl-lib=0.65  perl-libnet=3.11
                            perl-locale-maketext-simple=0.21_01
                            perl-locale-maketext=1.29
                            perl-math-bigint-fastcalc=0.5008
                            perl-math-bigint=1.999816  perl-math-bigrat=0.2614
                            perl-math-complex=1.5901  perl-memoize=1.03_01
                            perl-mime-base64=3.15
                            perl-module-corelist=5.20190522
                            perl-module-load-conditional=0.68
                            perl-module-load=0.34  perl-module-loaded=0.08
                            perl-module-metadata=1.000036  perl-net-ping=2.71
                            perl-params-check=0.38  perl-parent=0.237
                            perl-pathtools=3.78  perl-perl-ostype=1.010
                            perl-perlfaq=5.20190126
                            perl-perlio-via-quotedprint=0.08
                            perl-pod-checker=1.73  perl-pod-escapes=1.07
                            perl-pod-parser=1.63  perl-pod-perldoc=3.2801
                            perl-pod-simple=3.35  perl-pod-usage=1.69
                            perl-podlators=5.006  perl-safe=2.40
                            perl-scalar-list-utils=1.50  perl-search-dict=1.07
                            perl-selfloader=1.25  perl-socket=2.027
                            perl-storable=3.15  perl-sys-syslog=0.35
                            perl-term-ansicolor=4.06  perl-term-cap=1.17
                            perl-term-complete=1.403  perl-term-readline=1.17
                            perl-test-harness=3.42  perl-test-simple=1.302162
                            perl-test=1.31  perl-text-abbrev=1.02
                            perl-text-balanced=2.03  perl-text-parsewords=3.30
                            perl-text-tabs=2013.0523  perl-thread-queue=3.13
                            perl-thread-semaphore=2.13
                            perl-threads-shared=1.60  perl-threads=2.22
                            perl-tie-file=1.02  perl-tie-refhash=1.39
                            perl-time-hires=1.9760  perl-time-local=1.28
                            perl-time-piece=1.33  perl-unicode-collate=1.27
                            perl-unicode-normalize=1.26  perl-version=0.9924
                            perl-xsloader=0.30
Dipenda da                : gdbm>=1.17  db  glibc
Dipendenze opzionali      : Nessuno
Richiesto da              : automake  cairo-perl  dpkg  drbl  git  groff
                            hspell  hyphen  inxi  lm_sensors  obmenu-generator
                            openssl  openssl-1.0  parallel  perl-anyevent
                            perl-data-dump  perl-encode-locale  perl-error
                            perl-file-listing  perl-html-tagset
                            perl-http-cookies  perl-http-daemon  perl-http-date
                            perl-http-message  perl-http-negotiate
                            perl-io-html  perl-io-socket-ssl  perl-json
                            perl-libwww  perl-linux-desktopfiles
                            perl-lwp-mediatypes  perl-net-http  perl-timedate
                            perl-try-tiny  perl-uri  perl-www-robotrules
                            perl-xml-parser  rsync  texinfo  youtube-viewer
Opzionale per             : aspell  gd  hexchat  hunspell  libproxy  qpdf  vim
Conflitti con             : Nessuno
Sostituisce               : Nessuno
Spazio richiesto          : 56,49 MiB
Pacchettizzatore          : Evangelos Foutras <evangelos@foutrelis.com>
Data di creazione         : sab 1 giu 2019, 10:51:02
Data di installazione     : mar 11 giu 2019, 10:39:36
Motivo dell'installazione : Installato come dipendenza di un altro pacchetto
Script di install         : No
Convalidato da            : Firma

[don@don-pc ~]$

I don’t need the perl-gtk2 package

@PackRat
I tried to update again and keep sending the previous message

@ector
Nombre : perl
Versión : 5.28.2-1
Descripción : A highly capable, feature-rich programming language
Arquitectura : x86_64
URL : http://www.perl.org
Licencias : GPL PerlArtistic
Grupos : base
Provee : perl-archive-tar=2.30 perl-attribute-handlers=1.01
perl-autodie=2.29 perl-autoloader=5.74
perl-autouse=1.11 perl-b-debug=1.26 perl-base=2.27
perl-bignum=0.49 perl-carp=1.50
perl-compress-raw-bzip2=2.074
perl-compress-raw-zlib=2.076
perl-config-perl-v=0.29 perl-constant=1.33
perl-cpan-meta-requirements=2.140
perl-cpan-meta-yaml=0.018 perl-cpan-meta=2.150010
perl-cpan=2.20 perl-data-dumper=2.170
perl-db_file=1.840 perl-devel-ppport=3.40
perl-devel-selfstubber=1.06 perl-digest-md5=2.55
perl-digest-sha=6.01 perl-digest=1.17_01
perl-dumpvalue=1.18 perl-encode=2.97
perl-encoding-warnings=0.13 perl-env=1.04
perl-experimental=0.019 perl-exporter=5.73
perl-extutils-cbuilder=0.280230
perl-extutils-constant=0.25
perl-extutils-install=2.14
perl-extutils-makemaker=7.34
perl-extutils-manifest=1.70
perl-extutils-parsexs=3.39 perl-file-fetch=0.56
perl-file-path=2.15 perl-file-temp=0.2304
perl-filter-simple=0.95 perl-filter-util-call=1.58
perl-getopt-long=2.5 perl-http-tiny=0.070
perl-i18n-collate=1.02 perl-i18n-langtags=0.43
perl-if=0.0608 perl-io-compress=2.074
perl-io-socket-ip=0.39 perl-io-zlib=1.10
perl-io=1.39 perl-ipc-cmd=1.00 perl-ipc-sysv=2.07
perl-json-pp=2.97001 perl-lib=0.64
perl-libnet=3.11 perl-locale-codes=3.56
perl-locale-maketext-simple=0.21_01
perl-locale-maketext=1.29
perl-math-bigint-fastcalc=0.5006
perl-math-bigint=1.999811 perl-math-bigrat=0.2613
perl-math-complex=1.5901 perl-memoize=1.03_01
perl-mime-base64=3.15
perl-module-corelist=5.20190419
perl-module-load-conditional=0.68
perl-module-load=0.32 perl-module-loaded=0.08
perl-module-metadata=1.000033 perl-net-ping=2.62
perl-params-check=0.38 perl-parent=0.236
perl-pathtools=3.74 perl-perl-ostype=1.010
perl-perlfaq=5.021011
perl-perlio-via-quotedprint=0.08
perl-pod-checker=1.73 perl-pod-escapes=1.07
perl-pod-parser=1.63 perl-pod-perldoc=3.2801
perl-pod-simple=3.35 perl-pod-usage=1.69
perl-podlators=5.006 perl-safe=2.40
perl-scalar-list-utils=1.50 perl-search-dict=1.07
perl-selfloader=1.25 perl-socket=2.027
perl-storable=3.08_01 perl-sys-syslog=0.35
perl-term-ansicolor=4.06 perl-term-cap=1.17
perl-term-complete=1.403 perl-term-readline=1.17
perl-test-harness=3.42 perl-test-simple=1.302133
perl-test=1.31 perl-text-abbrev=1.02
perl-text-balanced=2.03 perl-text-parsewords=3.30
perl-text-tabs=2013.0523 perl-thread-queue=3.12
perl-thread-semaphore=2.13 perl-threads-shared=1.58
perl-threads=2.22 perl-tie-file=1.02
perl-tie-refhash=1.39 perl-time-hires=1.9759
perl-time-local=1.25 perl-time-piece=1.3204
perl-unicode-collate=1.25
perl-unicode-normalize=1.26 perl-version=0.9923
perl-xsloader=0.30
Depende de : gdbm>=1.17 db glibc
Dependencias opcionales : Nada
Exigido por : alsi automake cairo-perl cpanminus drbl
foomatic-db-engine git gnome-perl gnome-vfs-perl
gnomecanvas-perl groff hspell hyphen
imagemagick-full libwpg lm_sensors lxc ndisc6
netpbm numactl opensp openssl openssl-1.0
perl-b-hooks-endofscope perl-capture-tiny
perl-class-load perl-clone perl-cpan-meta-check
perl-cpanel-json-xs perl-data-dump
perl-data-optlist perl-dbi
perl-devel-globaldestruction
perl-devel-overloadinfo perl-devel-stacktrace
perl-dist-checkconflicts perl-encode-locale
perl-error perl-exporter-tiny
perl-extutils-depends perl-extutils-pkgconfig
perl-ffi-checklib perl-file-chdir
perl-file-copy-recursive perl-file-find-rule-perl
perl-file-listing perl-file-pushd
perl-file-slurp-tiny perl-file-which
perl-gnome2-wnck perl-gtk2-imageview
perl-gtk2-unique perl-html-form perl-html-tagset
perl-http-cookies perl-http-daemon perl-http-date
perl-http-message perl-http-negotiate
perl-inc-latest perl-io-html perl-io-socket-ssl
perl-ipc-system-simple perl-json perl-json-maybexs
perl-libwww perl-list-moreutils-xs
perl-locale-gettext perl-lwp-mediatypes
perl-module-build perl-module-runtime
perl-module-runtime-conflicts perl-moose
perl-mouse perl-mro-compat perl-namespace-clean
perl-net-http perl-number-compare
perl-package-stash-xs perl-params-util
perl-parse-yapp perl-path-tiny
perl-proc-processtable perl-proc-simple
perl-role-tiny perl-sort-naturally
perl-sub-exporter perl-sub-identify
perl-sub-install perl-sub-name perl-sub-uplevel
perl-term-readline-gnu perl-term-shellui
perl-test-deep perl-test-needs
perl-test-nowarnings perl-test-pod
perl-test-requires perl-test-tester perl-test-warn
perl-test-warnings perl-text-glob perl-text-iconv
perl-timedate perl-try-tiny perl-uri
perl-variable-magic perl-www-robotrules
perl-x11-protocol perl-xml-namespacesupport
perl-xml-parser perl-xml-sax perl-xml-sax-base
perl-xml-twig pptpclient r rlwrap rsync texinfo
texlive-core tiger tigervnc valgrind
Opcional para : acpid apparmor aspell gd graphviz gvim
hunspell jemalloc lftp libproxy qpdf qucs
xboard
En conflicto con : Nada
Remplaza a : Nada
Tamaño de la instalación : 57,64 MiB
Encargado : Florian Pritz bluewind@xinu.at
Fecha de creación : sáb 20 abr 2019 05:22:04 -03
Fecha de instalación : mar 23 abr 2019 01:42:28 -03
Motivo de la instalación : Instalado explícitamente
Guion de instalación : No
Validado por : Firma

Posted:
pacman -Qi perl-test-tester

where did you get this package?

[don@don-pc ~]$yaourt -S perl-test-tester
errore: il seguente pacchetto non è stato trovato: perl-test-tester
[don@don-pc ~]$yay -S perl-test-tester
==> Error: Could not find all required packages:
    perl-test-tester (Target)
[don@don-pc ~]$

if it does not resolve the removal of testers follow here

https://aur.archlinux.org/packages/perl-gtk2-unique/

In case that perl-gtk2-unique prevents the perl update to 5.28, please remove perl-gtk2-unique

pacman -Rdd perl-gtk2-unique

@ector
You are a big one, I learned something new.
thanks you can update now